/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  HELP                            1
#define  HELP_MESSAGE                    2
#define  HELP_DONE                       3

#define  PANEL                           2
#define  PANEL_QUITEXCEL                 2       /* callback function: QUITEXCEL_FUNC */
#define  PANEL_QUITPROGRAM               3       /* callback function: SHUTDOWN */
#define  PANEL_CLOSESHEET                4       /* callback function: CLOSE_FUNC */
#define  PANEL_OPENSHEET                 5       /* callback function: OPEN_FUNC */
#define  PANEL_LAUNCHEXCEL               6       /* callback function: LAUNCH_FUNC */
#define  PANEL_DDECONNECT                7       /* callback function: DDECONNECT_FUNC */
#define  PANEL_RUN                       8       /* callback function: RUN_MACRO_FUNC */
#define  PANEL_MACROSHEET                9
#define  PANEL_MACROPATH                 10
#define  PANEL_SHEETPATH                 11
#define  PANEL_STATUS                    12
#define  PANEL_EXCELPATH                 13
#define  PANEL_SAVESHEET                 14
#define  PANEL_HELP                      15      /* callback function: HELP_FUNC */
#define  PANEL_DEC1                      16
#define  PANEL_DEC2                      17
#define  PANEL_DEC3                      18
#define  PANEL_DEC2_2                    19


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK CLOSE_FUNC(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK DDECONNECT_FUNC(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK HELP_FUNC(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK LAUNCH_FUNC(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK OPEN_FUNC(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK QUITEXCEL_FUNC(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK RUN_MACRO_FUNC(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SHUTDOWN(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
