/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_GROUP_NAME                2
#define  PANEL_ITEM_NAME                 3
#define  PANEL_ICON_NAME                 4
#define  PANEL_DELETE_NAME               5
#define  PANEL_CONNECTION                6       /* callback function: Connection */
#define  PANEL_ADD_GROUP                 7       /* callback function: Add_Group */
#define  PANEL_ADD_ITEM                  8       /* callback function: Add_Item */
#define  PANEL_DEL_GROUP                 9       /* callback function: Del_Group */
#define  PANEL_QUIT                      10      /* callback function: Quit */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK Add_Group(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Add_Item(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Connection(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Del_Group(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Quit(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
