/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  SERVER                          1
#define  SERVER_CONTROL                  2       /* callback function: DataCallback */
#define  SERVER_AUTO                     3       /* callback function: AutoCallback */
#define  SERVER_COMMANDSTRING            4       /* callback function: ClientCtrlsCallback */
#define  SERVER_CONNECTVBSERVER          5       /* callback function: ClientCtrlsCallback */
#define  SERVER_DISCONNECTVBSERVER       6       /* callback function: ClientCtrlsCallback */
#define  SERVER_SENDCOMMAND              7       /* callback function: ClientCtrlsCallback */
#define  SERVER_QUIT                     8       /* callback function: QuitCallback */
#define  SERVER_CLIENT                   9
#define  SERVER_SERVER                   10
#define  SERVER_DECORATION_2             11
#define  SERVER_DECORATION               12


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK AutoCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ClientCtrlsCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK DataCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK QuitCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
