/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  CLIENT                          1       /* callback function: ClientPanelCallback */
#define  CLIENT_HOTLINKENABLED           2       /* callback function: HotLinkCallback */
#define  CLIENT_COMMAND                  3
#define  CLIENT_SENDCOMMANDTOSERVER      4       /* callback function: SendCommandCallback */
#define  CLIENT_WHICHCELL                5
#define  CLIENT_VALUE                    6
#define  CLIENT_WRITECELLVALUE           7       /* callback function: WriteCellCallback */
#define  CLIENT_READCELLVALUE            8       /* callback function: ReadCellCallback */
#define  CLIENT_GRAPH                    9
#define  CLIENT_AUTOSCALEGRAPH           10      /* callback function: AutoScaleCallback */
#define  CLIENT_READANDWRITE             11
#define  CLIENT_DECORATION               12
#define  CLIENT_DECORATION_2             13
#define  CLIENT_DDEEXECUTE               14
#define  CLIENT_DECORATION_3             15
#define  CLIENT_DDELINKEDDATA            16

#define  SERVER                          2
#define  SERVER_CELL1                    2       /* callback function: CellCallback */
#define  SERVER_CELL2                    3       /* callback function: CellCallback */
#define  SERVER_CELL3                    4       /* callback function: CellCallback */
#define  SERVER_CELL4                    5       /* callback function: CellCallback */
#define  SERVER_CELL5                    6       /* callback function: CellCallback */
#define  SERVER_CELL6                    7       /* callback function: CellCallback */
#define  SERVER_CELL7                    8       /* callback function: CellCallback */
#define  SERVER_CELL8                    9       /* callback function: CellCallback */
#define  SERVER_CELL9                    10      /* callback function: CellCallback */
#define  SERVER_CELL10                   11      /* callback function: CellCallback */
#define  SERVER_CELL11                   12      /* callback function: CellCallback */
#define  SERVER_CELL12                   13      /* callback function: CellCallback */
#define  SERVER_CELL13                   14      /* callback function: CellCallback */
#define  SERVER_CELL14                   15      /* callback function: CellCallback */
#define  SERVER_CELL15                   16      /* callback function: CellCallback */
#define  SERVER_CELL16                   17      /* callback function: CellCallback */
#define  SERVER_CELL17                   18      /* callback function: CellCallback */
#define  SERVER_CELL18                   19      /* callback function: CellCallback */
#define  SERVER_CELL19                   20      /* callback function: CellCallback */
#define  SERVER_CELL20                   21      /* callback function: CellCallback */
#define  SERVER_QUIT                     22      /* callback function: QuitCallback */
#define  SERVER_AMPLITUDE                23
#define  SERVER_WAVESHAPE                24
#define  SERVER_GENERATENEWDATA          25      /* callback function: GenerateDataCallback */
#define  SERVER_ADDTOCURRENTDATA         26      /* callback function: AddToDataCallback */
#define  SERVER_SHIFTDATALEFT            27      /* callback function: ShiftDataLeftCallback */
#define  SERVER_SHIFTDATARIGHT           28      /* callback function: ShiftDataRightCallback */
#define  SERVER_DDELINKEDDATA            29
#define  SERVER_DECORATION               30
#define  SERVER_COMMANDS                 31
#define  SERVER_DECORATION_4             32
#define  SERVER_WAVEATTRIBUTES           33
#define  SERVER_DECORATION_5             34
#define  SERVER_DECORATION_3             35
#define  SERVER_PICTURE                  36


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK AddToDataCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK AutoScaleCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CellCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ClientPanelCallback(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK GenerateDataCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK HotLinkCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK QuitCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ReadCellCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SendCommandCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ShiftDataLeftCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ShiftDataRightCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK WriteCellCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
